
QGIS Application - Bug report #15816

QGIS overrides CSVT "String" format and makes integer instead

2016-11-04 02:06 PM - Kit Ruseau

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23736

Description

I have a CSV file with a corresponding CSVT file of the same name.  When I add it as a delimited text layer the formats defined in the

CSVT file work for all the fields except one.  The CSVT file has "String,"String","String,"Real" but the added fields are text, integer(wrong),

text, double.  The values in the second field look like integers, however I have defined them as strings because I need to include leading

zeros to match a field in a shapefile.  When adding this layer the leading zeros are lost because the string of numbers is changed to an

integer inspite of the "String" declaration.  I've also tried "String,"String(7)","String,"Real" in the CSVT with the same results - text, integer,

text, double.   What's up? How can I keep my leading zeros?

Related issues:

Related to QGIS Application - Bug report # 12783: Import CSV via "add delimit... Closed 2015-05-20

History

#1 - 2017-02-09 12:28 PM - Steve Toutant

- File dialog_create_layer.jpg added

- File dialog_layer_properties.jpg added

Still a bug in 2.18.3

From the Create a Layer from a Delimited text file I see that the field "rls_est" is a string and the leading zero is there. "0111" 

But when I click Ok, the layer is created and rls_est field type is integer instead of String, so I lose the leading 0. 

See 2 images attached

#2 - 2017-02-10 06:52 AM - Steve Toutant

- File qgis_rls_carto.csv added

- File qgis_rls_carto.csvt added

Attached, csv and csvt to reproduce the problem

#3 - 2017-02-10 02:08 PM - ramon .

Hi Kt,

Could you please try with this in your csvt file?

"String","String","String","Real"

Could you report back if this helps?
#4 - 2017-02-14 08:10 AM - Steve Toutant

a double quote was missing...This work

"Integer","String","Real(6.3)","Real(6.3)","Real(6.3)" 

tnks ramon

#5 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2017-09-22 09:56 AM - Jürgen Fischer

- Category set to Unknown

#7 - 2018-04-22 03:23 PM - Jürgen Fischer

- Related to Bug report #12783: Import CSV via "add delimited text layer" ignores Date fields in CSVT added

#8 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
